/*
 * icetft plugin for VDR
 *
 * setup.h - class for icetft plugin setup menu
 *
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#ifndef __SETUP_H
#define __SETUP_H

#include <string.h>
#include <vdr/plugin.h>

// --- cIcetftSetup ------------------------------------------------------------
class cIcetftSetup
{
    public:
        int hidemenu;
        int stateAtStartup;
        int stateAtShutdown;
        int poweroff;
        int poweroffTime;
        int wakeup;
        int message;
        char device[256];
    public:

        cIcetftSetup(void);
        bool Parse(const char *Name, const char *Value);
};

// --- cMenuIcetftSetup -------------------------------------------------------
class cMenuIcetftSetup : public cMenuSetupPage
{
    private:
        // nothing yet
    protected:
        virtual void Store(void);
        virtual eOSState ProcessKey(eKeys key);
        void SetupPage();
    public:
        cMenuIcetftSetup(void);
};

extern cIcetftSetup IcetftSetup;
#endif                                            //__SETUP_H
